* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

/* @font-face {
    font-family: 'Montserrat';
    src: url('../fonts/Montserrat/Montserrat-Regular.ttf') format('truetype');
    font-style: normal;
    font-weight: normal;
}

@font-face {
    font-family: 'LeagueGothic';
    src: url('../fonts/LeagueGothic/LeagueGothic-Regular.ttf') format('truetype');
    font-style: normal;
    font-weight: normal;
} */


/* @font-face {
    font-family: 'Antonio';
    src: url('../fonts/Palanquin/Palanquin-Regular.ttf') format('truetype');
    font-style: normal;
    font-weight: normal;
} */

@font-face {
    font-family: 'Roboto';
    src: url('../fonts/Roboto/Roboto-Regular.ttf') format('truetype');
    font-style: normal;
    font-weight: normal;
}

html, body {
    font-family: 'Roboto', sans-serif !important;
    /* background-color: #FAFAFA !important;  */
    background-color: rgba(248, 249, 250, 1) !important; 
    min-height: 100vh !important;
    color: #474747 !important;
    font-weight: 300 !important;
}

h1 {
    font-family: 'Roboto', sans-serif !important;
    font-weight: 700 !important; 
    /* font-size: 2rem !important; */
    color: #1F1F1F !important;
    text-transform: uppercase;
}

h2, h3, h4, h5 {
    font-family: 'Roboto', sans-serif !important;
    color: #1F1F1F !important;
} 
 
.contenedor-layout{
    min-height: 100vh;
    display: grid;
    grid-template-rows: auto 1fr auto;
}
/* layout home */
.bg-header-own{
    /* background-color: #6E07F3; */
    background-color: #D3E3FD;
}

.bg-footer-own{
    /* background-color: #6E07F3; */
    background-color: #D3E3FD;
}

#logo {
    background-image: url(../img/iconos_layout/logo.png);
    height: 60px;
    width: 240px;
    background-size: cover;
    border-radius: 10px;
}

/* colores de la card del portafolio */
.cardportafolio{
    background-color: #EDF2FA !important;
}

.cardportafolio:hover{
    background-color: #D3E3FD !important;
    font-weight: 500;
}





/* iconos home */
/* .border-own{
    width: 50px; 
    height: 50px; 
    background-color: #FAFAFA;
    border-radius: 10%; 
    border: 0.5px solid #6E07F3;
} */

/* colores home*/

.fg-11825C-own{
    color: #11825C;
}

.fg-7843E9-own{
    color: #7843E9;
}

.fg-1F1F1F-own{
    color: #1F1F1F;
}

.fg-0B57D0-own {
    color: #0B57D0; /*fg del icono del portafolio home*/
}

/* background home*/
.bg-6E07F3-own{
    background-color: #7843E9;
}

.bg-EDFDF7-own{
    background-color: #EDFDF7;
}

.bg-EDF2FA-own{
    background-color: #EDF2FA; /*bg de cards home*/
}

.bg-0B57D0-own{
    background-color: #0B57D0; /*bg del icono del portafolio home*/
}



/* botones home*/
.button-one-own {
    padding: 5px;
    /* border: 0; */
    border-radius: 8px;
    background-color: #0B57D0;
    color: #ffffff;
    /* font-weight: Bold; */
    transition: all 0.5s;
    -webkit-transition: all 0.5s;
    cursor: pointer;
}

.button-one-own:hover {
    background-color: #0b57d0cb;
    /* box-shadow: 0 0 20px #6fc5ff50; */
    transform: scale(1.1);
}

.button-one-own:active {
    background-color: #0b57d069;
    transition: all 0.25s;
    -webkit-transition: all 0.25s;
    box-shadow: none;
    transform: scale(0.98);
}


/* shadow home*/
.shadow-1-own {
    box-shadow: rgba(67, 71, 85, 0.27) 0px 0px 0.25em, rgba(90, 125, 188, 0.05) 0px 0.25em 1em;
}

.shadow-2-own {
    box-shadow: rgba(0, 0, 0, 0.04) 0px 3px 5px;
}

/* CSS restaurante abajo*/
#banner {
    background-image: url(../img/iconos_restaurante/banner.webp);
    height: 550px;
    background-size: cover;
    border-radius: 10px 10px 0px 0px;
}

.submenu {
    position: relative;
}

.submenu #carrito {
    display: none;
}

.submenu:hover #carrito {
    display: block;
    position: absolute;
    right: 0;
    background-color: #fbf6e7;
    top: 100%;
    z-index: 1;
    padding: 10px;
    min-height: 400px;
    min-width: 350px;
    border-radius: 10px;
}

.button-rest {
    cursor: pointer;
    position: relative;
    padding: 10px 24px;
    font-size: 15px;
    color: rgb(193, 163, 98);
    border: 1px solid rgb(193, 163, 98);
    border-radius: 10px;
    background-color: transparent;
    font-weight: 400;
    transition: all 0.3s cubic-bezier(0.23, 1, 0.320, 1);
    overflow: hidden;
}

.button-rest::before {
    content: '';
    position: absolute;
    inset: 0;
    margin: auto;
    width: 60px;
    height: 50px;
    border-radius: inherit;
    scale: 0;
    z-index: -1;
    background-color: rgb(193, 163, 98);
    transition: all 0.6s cubic-bezier(0.23, 1, 0.320, 1);
}

.button-rest:hover::before {
    scale: 3;
}

.button-rest:hover {
    color: #212121;
    scale: 1.1;
    box-shadow: 0 0px 20px rgba(193, 163, 98, 0.4);
}

.button-rest:active {
    scale: 1;
}

/* CSS gasto semanal*/
.contenido {
    padding: 20px;
}

.contenido-principal {
    background-color: white;
    padding: 30px;
    border-radius: 20px;
    border: 0.5px solid #cacaca;
}

.presupuesto p {
    margin-bottom: 0;
    font-weight: bold;
}

.presupuesto p span {
    font-weight: normal;
}

#gastos {
    margin-bottom: 30px;
}

/* layout general */
container {
    width: 100%;
}

@media (min-width: 360px) and (max-width: 576px) {
    .container {
        max-width: 98%;
    }
}

@media (min-width: 577px) and (max-width: 768px) {
    .container {
        max-width: 95%;
    }
}

@media (min-width: 769px) and (max-width: 992px) {
    .container {
        max-width: 90%;
    }
}

@media (min-width: 993px) and (max-width: 1200px) {
    .container {
        max-width: 90%;
    }
}

@media (min-width: 1201px) {
    .container {
        max-width: 90%;
    }
}